package xn.xxp.room.bean;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * info
 *
 * @author ReiChin_
 */
@Entity
public class NoticeSummary {
    @PrimaryKey
    private long noticeId;
    // ("商户Id")
    private int tenantId;
    // ("消息类型")
    private int noticeType;
    // ("业务类型（1预警消息 2化学品违规带离）")
    private int businessType;
    // ("实验室ids")
    private String subIds = "";
    // ("部门ids")
    private String deptIds = "";
    // ("接收用户")
    private int sendType;
    // ("标题")
    private String title = "";
    // ("内容")
    private String content = "";
    // ("状态")
    private boolean state;
    // ("描述")
    private String sendDesc = "";
    // ("发布状态：0-未发布，1-已发布 ，2-已撤回")
    private int sendState;
    // ("发送时间")
    private String sendTime = "";
    // ("发送人")
    private long sendBy;
    // ("发送人姓名")
    private String userName = "";
    // ("过期时间")
    private String expire = "";
    // ("是否删除")
    private boolean isDelete;
    // ("创建人")
    private long createBy;
    // ("创建时间")
    private String createTime = "";
    // ("修改人")
    private long updateBy;
    // ("修改时间")
    private String updateTime = "";

    public long getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(long noticeId) {
        this.noticeId = noticeId;
    }

    public int getTenantId() {
        return tenantId;
    }

    public void setTenantId(int tenantId) {
        this.tenantId = tenantId;
    }

    public int getNoticeType() {
        return noticeType;
    }

    public void setNoticeType(int noticeType) {
        this.noticeType = noticeType;
    }

    public int getBusinessType() {
        return businessType;
    }

    public void setBusinessType(int businessType) {
        this.businessType = businessType;
    }

    public String getSubIds() {
        return subIds;
    }

    public void setSubIds(String subIds) {
        this.subIds = subIds;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public int getSendType() {
        return sendType;
    }

    public void setSendType(int sendType) {
        this.sendType = sendType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public boolean isState() {
        return state;
    }

    public void setState(boolean state) {
        this.state = state;
    }

    public String getSendDesc() {
        return sendDesc;
    }

    public void setSendDesc(String sendDesc) {
        this.sendDesc = sendDesc;
    }

    public int getSendState() {
        return sendState;
    }

    public void setSendState(int sendState) {
        this.sendState = sendState;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public long getSendBy() {
        return sendBy;
    }

    public void setSendBy(long sendBy) {
        this.sendBy = sendBy;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getExpire() {
        return expire;
    }

    public void setExpire(String expire) {
        this.expire = expire;
    }

    public boolean isDelete() {
        return isDelete;
    }

    public void setDelete(boolean delete) {
        isDelete = delete;
    }

    public long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(long createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
